##
##  supervisord.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2022 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         supervisord
Summary:      Supervisor Daemon
URL:          http://supervisord.org/
Vendor:       Agendaless Consulting
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        System
License:      BSD
Version:      4.2.5
Release:      20221224

#   list of sources
Source0:      https://files.pythonhosted.org/packages/source/s/supervisor/supervisor-%{version}.tar.gz
Source1:      rc.supervisord
Source2:      supervisord.conf
Patch0:       supervisord.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  python, python-www, python-setup, python-xml
PreReq:       python, python-www, python-setup, python-xml

%description
    Supervisor is a client/server system that allows its users to
    monitor and control a number of processes on UNIX-like operating
    systems.

%track
    prog supervisord = {
        version   = %{version}
        url       = https://pypi.org/project/supervisor/
        regex     = supervisor-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n supervisor-%{version}
    %patch -p0

%build
    %{l_prefix}/bin/python setup.py build

%install
    %{l_prefix}/bin/python setup.py install \
        --skip-build \
        --root=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix}
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/etc/supervisord \
        $RPM_BUILD_ROOT%{l_prefix}/etc/supervisord/supervisord.d \
        $RPM_BUILD_ROOT%{l_prefix}/var/supervisord
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE supervisord.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/supervisord/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rc.supervisord} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/doc >/dev/null 2>&1 || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/echo_supervisord_conf >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/supervisord/*'

%files -f files

%clean

